export type ParsedParam = number | boolean | string | null | undefined;
export declare const toParams: (tuples: ([string, string][])) => string;
export declare function decodeValue(v: string): string;
export declare function urlParams(url: string): Record<string, ParsedParam | ParsedParam[]>;
export declare function urlParamsArray(url: string): [string, ParsedParam | ParsedParam[]][];
export declare function getQueryParameter(url: string, name: string): ParsedParam | ParsedParam[];
export declare class ParsedUrl {
    hash: string;
    host: string;
    hostname: string;
    pathname: string;
    port: string;
    protocol: string;
    search: string;
    constructor(url: string);
    toString(): string;
}
